[needs-packaging] unity-china-photo-scope

Bug #1203958 reported by Jack Yu on 2013-07-23
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Critical
Jack Yu
Ubuntu
Wishlist
Unassigned

Bug Description

"unity-china-photo-scope" shows Chinese photo results searched from Sogou service (a popular photo search engine in China) and other photo in photo lens of Dash. It will be installed in UbuntuKylin 13.10, a Chinese flavor of Ubuntu.

URL: https://launchpad.net/unity-china-photo-scope
License: GPL V3+
Notes: Comes in stable versions (1.1).

Jack Yu (jackyu) on 2013-07-23
Changed in ubuntukylin:
milestone: none → alpha-2
assignee: nobody → Jack Yu (yj-1325)
importance: Undecided → Critical
Jack Yu (jackyu) on 2013-07-23
tags: added: needs-packaging
Barry Warsaw (barry) wrote :

I see a number of problems with this packaging. Since this is the initial upload, I think it's best to fix this before it gets uploaded.

The d/changelog entry should refer to this bug, e.g.

=== modified file 'debian/changelog'
--- debian/changelog 2013-07-23 04:53:42 +0000
+++ debian/changelog 2013-07-23 18:59:51 +0000
@@ -1,6 +1,6 @@
 unity-china-photo-scope (1.1-0ubuntu1) saucy; urgency=low

- * Initial release.
+ * Initial release. (LP: #1203958)

  -- Ubuntu daily release <email address hidden> Wed, 05 Jun 2013 06:08:36 +0000

I'm not sure why you should need python-distutils-extra since this is a Python 3 package, but it does seem like you do, otherwise pyversions fails. It would be useful to track this down, but not critical.

The source package stanza in d/control should include

X-Python3-Version: >= 3.2

It would be nice (but not critical) if lines were wrapped to 79 characters and extraneous trailing whitespace were removed.

The d/watch file has an incorrect regexp. Please check that `uscan --report --force` can find your tarball. Here's what I did:

=== modified file 'debian/watch'
--- debian/watch 2013-07-18 06:31:02 +0000
+++ debian/watch 2013-07-23 20:05:11 +0000
@@ -1,2 +1,2 @@
-version=1
-http://launchpad.net/unity-china-photo-scope/+download .*/unity-china-photo-scope-([0-9.]+)\.tar\.gz
+version=3
+https://launchpad.net/unity-china-photo-scope/+download https://launchpad.net/unity-china-photo-scope/.*/unity-china-photo-scope-(.*)\.tar\.gz

You should include a debian/source/format file containing:

3.0 (quilt)

Please do a local build with either sbuild or pbuilder and take a look at the lintian warnings both for the source package and binary packages:

Now running lintian...
W: unity-china-photo-scope source: comma-separated-files-in-dep5-copyright paragraph at line 22
W: unity-china-photo-scope source: out-of-date-standards-version 3.9.3 (current is 3.9.4)

% lintian *.deb
W: unity-china-photo-scope: package-relation-with-self breaks: unity-china-photo-scope
W: unity-china-photo-scope: desktop-entry-lacks-main-category usr/share/applications/unity-china-photo-scope.desktop

Your source tarball also has some problems. It includes a pyc file that is properly ignored. (All pyc files get created at install time):

dpkg-source: warning: ignoring deletion of file build_i18n_ext.pyc

The source branch has some other anomalies that should get cleaned up:

 * Why is there a debhelper.log, *.debhelper, and *.substvars files in debian/?
 * Why is the debian/unity-china-photo-scope directory there?
 * Since this is not a native package, nor is this a source branch, you probably don't want to include the upstream files in the branch. You should only need the debian directory, since the upstream tarball will be downloaded from Launchpad.

If you can fix these problems, myself or another patch pilot will gladly sponsor you.

tags: added: patch-needswork
Jack Yu (jackyu) wrote :

barry, thanks. We will fix these problem today.

Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
Jack Yu (jackyu) wrote :

Hi, we have improved the source code according to barry's comments at https://launchpad.net/unity-china-photo-scope. New tarball also attached.

Jack Yu (jackyu) wrote :

We created a separate /debian branch at https://code.launchpad.net/unity-china-photo-scope.

Jack Yu (jackyu) on 2013-07-30
Changed in ubuntukylin:
status: New → In Progress
Changed in ubuntu:
status: New → In Progress
Daniel Holbach (dholbach) wrote :

I run into http://paste.ubuntu.com/5929456/ when trying to build it in a pbuilder. It also seems like the tarball in bug 1203958 has a debian/ directory included already. I think I don't need to use lp:~jingjing20061278/unity-china-photo-scope/unity-china-photo-scope.pkg for packaging, right?

 the setup.py uses a local build_i18n_ext.py script which I'm a bit unsure about
 ./build_i18n_ext.py and ./setup.py both seem to use python2, while the rest of the code uses python3

 also it looks like Architecture in debian/control should be "all" and not "any"

Jack Yu (jackyu) wrote :

Updated.

1) modify ./debian/control file: (1) add dependence 'python-distutils-extra', (2) Architecture change from 'any' to 'all';
2) modify ./build_i18n_ext.py and ./setup.py from using Python to Python3.

Daniel Holbach (dholbach) wrote :

In ./src/unity_sogou_daemon.py there's:
  Copyright (c) 2012 David Calle <email address hidden>
who is not mentioned in debian/copyright

Jack Yu (jackyu) wrote :

New tarball. correct the copyright information.

Daniel Holbach (dholbach) wrote :

Uploaded. Should be sitting in the NEW queue in a bit.

Changed in ubuntu:
status: In Progress → Fix Committed
Jack Yu (jackyu) on 2013-07-31
Changed in ubuntukylin:
status: In Progress → Fix Committed
milestone: alpha-2 → beta-1
Jack Yu (jackyu) on 2013-08-04
Changed in ubuntu:
status: Fix Committed → Fix Released
Changed in ubuntukylin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers